Page 4 of 4

Re: [Unresolved] LM13 and LMDE - Useless auto update manager

Posted: Tue Oct 16, 2012 6:51 pm
by davidvrbanec
It will be great if mint team add option to the update manager to always run in root mode. I realy think about this beacause if you are not root then update manager dont check for updates every x hours/minutes.

Re: [Unresolved] LM13 and LMDE - Useless auto update manager

Posted: Thu Oct 18, 2012 11:57 am
by AlbertP
It should be able to check for updates even if it is not running as root mode. It only can't update the APT cache, but that is done automatically every time you open the updater and enter the password.

Re: [Unresolved] LM13 and LMDE - Useless auto update manager

Posted: Wed Oct 24, 2012 12:49 pm
by HappyLinux
I took a look for that "upgrade-system" package, but I can't make use of it because I'm not running Debian. Shame really, as it sounds useful.

Re: [Unresolved] LM13 and LMDE - Useless auto update manager

Posted: Wed Mar 06, 2013 7:23 pm
by on4aa
I was experiencing exactly the same problem as first poster "Trapper" for a while on my LMDE machines.
With the frequent Java updates nowadays, it was actually my wife who asked me to resolve the update notifier issue.
I can confirm that...

Code: Select all

sudo apt-get install update-notifier-common anacron
...resolves the issue, at least on LMDE systems. :D
The solution was discussed in detail here.

Re: [Unresolved] LM13 and LMDE - Useless auto update manager

Posted: Thu Mar 07, 2013 3:58 am
by cb474
I decided to install upgrade-system to see if its cron job would make mintupdate automatically notify me of updates. And then just for the heck of it I decided to run the upgrade-system command itself to see what it would want to do. One feature it has is that it looks for orphaned packages to purge. I was surprised that it came up with this long lists of orphans:

bogofilter* cups-driver-gutenprint* dhcp3-client* dhcp3-common*
foomatic-filters-ppds* freeglut3:i386* gnome-utils-common* gs* gs-common*
lesstif2:i386* lib32asound2* lib32bz2-1.0* lib32ncurses5* lib32stdc++6*
lib32tinfo5* lib32v4l-0* lib32z1* libaio1:i386* libapache2-mod-dnssd*
libartsc0* libatk-adaptor-data* libatk-bridge2.0-0* libaudiofile0*
libavahi-gobject0* libavahi-ui0* libavahi1.0-cil* libavformat52*
libavutil49* libbind9-60* libbluray0* libboost-iostreams1.42.0*
libboost-iostreams1.48.0* libcamel-1.2-29* libcamel1.2-14* libcamel1.2-19*
libcdio-paranoia0* libcelt0-0* libclutter-gtk-0.10-0* libcolorblind0*
libcryptsetup1* libcryptui0a* libcurl3-nss* libdb4.7* libdb4.8* libdnet*
libdpkg-ruby1.8* libdvbpsi6* libebackend1.2-0* libedata-cal-1.2-13*
libeggdbus-1-0* libegroupwise1.2-13* libertas-firmware* libevent-1.4-2*
libevince2* libexiv2-9* libfltk1.1:i386* libgadu3* libgalago3*
libgconfmm-2.6-1c2* libgcr0* libgdata-google1.2-1* libgdata1.7-cil*
libgdata1.9-cil* libgdata7* libgegl-0.0-0* libgettext-ruby1.8*
libgirepository1.0-0* libgl1-mesa-dev* libgl1-mesa-dri-experimental*
libglademm-2.4-1c2a* libglew1.5* libgmime2.4-cil* libgnome-bluetooth7*
libgnome-control-center1* libgnome-mag2* libgnome-media0* libgnome-speech7*
libgnome-window-settings1* libgnomekbd4* libgp11-0* libgraphite3* libgs8*
libgsf-1-114* libgtkhtml-editor-3.14-0* libgtkhtml-editor-4.0-0*
libgucharmap7* libgweather1* libhttpclient-ruby1.8* libhunspell-1.2-0*
libimobiledevice1* libiptcdata0* libisccfg60* libiso9660-7* libjs-jquery-ui*
liblocale-ruby1.8* liblockfile1* liblouis-data* liblwres60* libmagickwand3*
libmagickwand4* libmatroska0* libmatroska3* libmatroska4* libminiupnpc5*
libmjpegtools-1.9* libmjpegtools-2.0-0* libmono-cairo2.0-cil*
libmono-simd2.0-cil* libmtp8* libmusicbrainz4c2a* libnatpmp1* libnfsidmap2*
libnice0* libnl1* libnm-glib2* libntfs-3g804* liboil0.3* liboobs-1-4*
libpango1.0-common* libpolkit-gtk-1-0* libpoppler-glib6* libpostproc51*
libpython2.6* libquvi0* librasqal2* librpmio2* libruby* libseed0*
libsilc-1.1-2* libsilcclient-1.1-3* libslab0a* libsoundtouch1c2* libsqlite0*
libstdc++5:i386* libsysfs2* libsysfs2:i386* libtextcat0*
libtracker-client-0.8-0* libtracker-sparql-0.12-0* libwpg-0.1-1*
libwps-0.1-1* libx264-120* libx264-98* libxcb-atom1* libxcb-aux0*
libxcb-event1* libxcb-render-util0* libxcb-render-util0:i386*
libxml-parser-ruby1.8* libxp6:i386* libyajl1* min12xxw* pnm2ppa*
python-brlapi* python-bugbuddy* python-decorator* python-egenix-mxdatetime*
python-evolution* python-gdata* python-geoip* python-gmenu* python-gtkspell*
python-keybinder* python-mako* python-nevow* python-parted* python-rdflib*
python-wnck* ttf-bengali-fonts* ttf-gujarati-fonts* ttf-opensymbol*
ttf-punjabi-fonts* ttf-tamil-fonts* ttf-telugu-fonts*


I opted not to remove the packages. Can all of those really be packages I don't need?

Re: [Unresolved] LM13 and LMDE - Useless auto update manager

Posted: Thu Mar 07, 2013 4:03 am
by cb474
squeezy wrote:Aha! I think I have figured out my peculiar success.

As part of my installs I routinely install a package called upgrade-system. I thought this was simply a command line util but just discovered it also installs a cron job that runs apt-get update every night.

Looks like I have inadvertently implemented the same "solution" you guys are using :lol:

Where is the cron job file that upgrade-system installs? I looked for it in /var/spool/cron/crontabs but there's nothing there.

Re: [Unresolved] LM13 and LMDE - Useless auto update manager

Posted: Mon Mar 11, 2013 1:23 pm
by HappyLinux
I'm still having the problem of MintUpdate not automatically checking for updates. However since December 2012, a second update program has started appearing automatically every 8 days. It appears to be Ubuntu's Update Manager listing what updates are available and a window over the top of that telling me that I need to manually check for updates.

I'm not using LMDE, but Mint13LTS. So these cron jobs are pretty much useless for me. Which means that I still have a MintUpdate that doesn't automatically check for updates and now a Ubuntu Update Manager that does automatically check every 8 days.

Funny thing is, I never installed Ubuntu UM, but somehow became active.

So yet again, a message to the programmer(s) of Mint UM "PLEASE BRING BACK THE AUTOMATIC CHECKING FEATURE!"

Re: [Unresolved] LM13 and LMDE - Useless auto update manager

Posted: Wed Jul 03, 2013 6:22 pm
by MagicMint
I’m using the following cron job in Nadia to update the package list; it should work in other releases too:
Tutorial: Auto Updating the Package List for the Update Manager

Re: [Unresolved] LM13 and LMDE - Useless auto update manager

Posted: Sat Jun 07, 2014 6:11 am
by HappyLinux
You might as well mark this thread as solved. Since Mint 16, maybe 15 (I don't know), the autoupdate check has been resolved. Out of the box, the Update Manage checks for updates and refreshes periodically (just pick how often).